﻿namespace ConditionalFprmating.Web.Services
{
    using ConditionalFprmating.Web.Models;
    using System;
    using System.Collections.Generic;
    using System.Collections.ObjectModel;
    using System.Data;
    using System.Linq;
    using System.ServiceModel.DomainServices.Hosting;
    using System.ServiceModel.DomainServices.Server;
    using System.Web;
    using System.Web.Caching;


    [EnableClientAccess()]
    public class ProductionPlanningDomainService : DomainService
    {
        [Query]
        public IEnumerable<WorkItem> GetProductionPlan()
        {
            return new ObservableCollection<WorkItem>
            {
                new WorkItem
                {
                    Cat_exp="Despatch",
                    category=1,
                    cust_sname="CLIFDA",
                    Due=new DateTime(2013,12,9),
                    Instructions="Unspecified Transport",
                    PI_No="",
                    ProcessName="",
                    size=45,
                    sm_kco=1,
                    spec="2/17-4PH",
                    stat_list=new string[]{"Due 09/12/13"},
                    Status=50,
                    Status_exp="Due 09/12/13",
                    SubitNo="5727/1/1",
                    supp_sname="",
                    units="6 cut pieces 5.8m Ea"
                },

                new WorkItem
                {
                    Cat_exp="Despatch",
                    category=1,
                    cust_sname="EST",
                    Due=new DateTime(2013,11,12),
                    Instructions="Unspecified Transport",
                    PI_No="",
                    ProcessName="",
                    size=(decimal)31.8,
                    sm_kco=1,
                    spec="MS015",
                    stat_list=new string[]{"Due 12/11/13"},
                    Status=50,
                    Status_exp="Due 12/11/13",
                    SubitNo="5740/1/1",
                    supp_sname="",
                    units="12.0 m random"
                },

                new WorkItem
                {
                    Cat_exp="Despatch",
                    category=1,
                    cust_sname="MATTRAVON",
                    Due=new DateTime(2013,11,11),
                    Instructions="Unspecified Transport",
                    PI_No="",
                    ProcessName="",
                    size=185,
                    sm_kco=1,
                    spec="S04/F6NM",
                    stat_list=new string[]{"Overdue"},
                    Status=-1,
                    Status_exp="Overdue",
                    SubitNo="5731/1/1",
                    supp_sname="",
                    units="1 cut piece 2.5m"
                },

                new WorkItem
                {
                    Cat_exp="Despatch",
                    category=1,
                    cust_sname="FLOWSLOW",
                    Due=new DateTime(2013,11,12),
                    Instructions="Unspecified Transport",
                    PI_No="",
                    ProcessName="",
                    size=185,
                    sm_kco=1,
                    spec="NSS31803",
                    stat_list=new string[]{"Due 12/11/13"},
                    Status=50,
                    Status_exp="Due 12/11/13",
                    SubitNo="5737/2/1",
                    supp_sname="",
                    units="14 cut pieces 10.75in Ea"
                },

                new WorkItem
                {
                    Cat_exp="Despatch",
                    category=1,
                    cust_sname="FLOWSLOW",
                    Due=new DateTime(2013,11,12),
                    Instructions="Unspecified Transport",
                    PI_No="",
                    ProcessName="",
                    size=240,
                    sm_kco=1,
                    spec="NSS31803",
                    stat_list=new string[]{"Due 12/11/13"},
                    Status=50,
                    Status_exp="Due 12/11/13",
                    SubitNo="5737/3/1",
                    supp_sname="",
                    units="14 cut pieces 2in Ea"
                },

                new WorkItem
                {
                    Cat_exp="Despatch",
                    category=1,
                    cust_sname="MATTRAVON",
                    Due=new DateTime(2013,11,11),
                    Instructions="Unspecified Transport",
                    PI_No="",
                    ProcessName="",
                    size=165,
                    sm_kco=1,
                    spec="S04/F6NM",
                    stat_list=new string[]{"Overdue"},
                    Status=-1,
                    Status_exp="Overdue",
                    SubitNo="5732/1/1",
                    supp_sname="",
                    units="1 cut piece 3.73m"
                },

                new WorkItem
                {
                    Cat_exp="Despatch",
                    category=1,
                    cust_sname="MATTRAVON",
                    Due=new DateTime(2013,11,11),
                    Instructions="Unspecified Transport",
                    PI_No="",
                    ProcessName="",
                    size=180,
                    sm_kco=1,
                    spec="S04/F6NM",
                    stat_list=new string[]{"Overdue"},
                    Status=-1,
                    Status_exp="Overdue",
                    SubitNo="5733/1/1",
                    supp_sname="",
                    units="18 cut pieces 457MM Ea"
                },

                new WorkItem
                {
                    Cat_exp="Despatch",
                    category=1,
                    cust_sname="MATTRAVON",
                    Due=new DateTime(2013,11,11),
                    Instructions="Unspecified Transport",
                    PI_No="",
                    ProcessName="",
                    size=180,
                    sm_kco=1,
                    spec="S04/F6NM",
                    stat_list=new string[]{"Overdue"},
                    Status=-1,
                    Status_exp="Overdue",
                    SubitNo="5733/1/1",
                    supp_sname="",
                    units="18 cut pieces 457MM Ea"
                }
            };
        }
    }
}