﻿using ConditionalFprmating.Web.Models;
using ConditionalFprmating.Web.Services;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.ServiceModel.DomainServices.Client;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ConditionalFprmating
{
    public partial class MainPage : UserControl
    {
        ProductionPlanningDomainContext ctxt = new ProductionPlanningDomainContext();

        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            ctxt.Load(ctxt.GetProductionPlanQuery(), LoadData_Completed, null);
        }

        private void LoadData_Completed(LoadOperation<WorkItem> lo)
        {
            if (lo.HasError)
            {
                MessageBox.Show(lo.Error.Message);
                lo.MarkErrorAsHandled();
                return;
            }
            
            workToGrid.ItemsSource = new ObservableCollection<WorkItem>(lo.Entities);
        }


    }
}
